This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 216912 - Review Request: rtpproxy - A symmetric RTP proxy
Review Request: rtpproxy - A symmetric RTP proxy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-22 12:14 EST by Jeffrey C. Ollie
Modified: 2015-03-28 14:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: rtpproxy-2.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-03 21:11:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-11-22 12:14:29 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/rtpproxy-0.3-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/rtpproxy-0.3-1.fc6.src.rpm
Description:

This is a symmetric RTP proxy designed to be used in conjunction with
the SIP Express Router (SER) or any other SIP proxy capable of
rewriting SDP bodies in SIP messages that it processes.
Comment 1 Kevin Fenzi 2006-12-03 19:05:26 EST
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
2a316f4854da4e8c8d358c623e5ffdb6  rtpproxy-0.3.tar.gz
2a316f4854da4e8c8d358c623e5ffdb6  rtpproxy-0.3.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
i386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Is there anything aside from the including COPYING file to indicate
the license? I guess including that COPYING file might be enough, but there
is no mention anywhere in the code, web page or other files what the license is.
Perhaps you could report to upstream that they could be more explicit about the
license moving forward?

Otherwise I don't see any issues... this package is APPROVED. 

Don't forget to close this report NEXTRELEASE once it's been imported and built. 

Also, do consider reviewing another waiting package to try and spread out the
reviewer load. 
Comment 2 Jeffrey C. Ollie 2006-12-03 21:11:22 EST
Thanks for the review... imported and build for development kicked off...
Comment 3 Jeffrey C. Ollie 2008-01-29 14:59:49 EST
Package Change Request
======================
Package Name: rtpproxy
New Branches: EL-4 EL-5
Updated Fedora Owners: jcollie, peter
Updated EPEL Owners: jcollie, peter
Comment 4 Kevin Fenzi 2008-01-30 12:04:47 EST
cvs done.
Comment 5 Peter Lemenkov 2015-03-10 11:33:04 EDT
Package Change Request
======================
Package Name: rtpproxy
New Branches: epel7
Owners: peter jcollie itamarjp
Comment 6 Jon Ciesla 2015-03-10 11:46:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-03-10 12:06:13 EDT
rtpproxy-2.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rtpproxy-2.0.0-1.el7
Comment 8 Fedora Update System 2015-03-28 14:38:49 EDT
rtpproxy-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.